/*
 * BatteryPack.hpp
 *
 *  Created on: Aug 26, 2011
 *      Author: ra23501
 */

#ifndef BATTERYPACK_HPP_
#define BATTERYPACK_HPP_

#include "ros/ros.h"

#define MAX_TIME 1200
#define MAX_VOLTAGE 12.6

class BatteryPack
{
public:
  int cycles;
  float voltage;int time;
  char location; // -1 is UAV, otherwise is bay number

  BatteryPack();
  BatteryPack(int cyc, int time, float volts, char loc);
  ~BatteryPack();
};

#endif /* BATTERYPACK_HPP_ */
